Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.aPar.presentation
Class AParEditor

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.ui.part.MultiPageEditorPart
                      org.eclipse.amp.amf.parameters.aPar.presentation.AParEditor

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.emf.common.ui.viewer.IViewerProvider, org.eclipse.emf.edit.domain.IEditingDomainProvider, org.eclipse.jface.action.IMenuListener, org.eclipse.jface.dialogs.IPageChangeProvider, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.ui.ide.IGotoMarker, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class AParEditor

extends org.eclipse.ui.part.MultiPageEditorPart
implements org.eclipse.emf.edit.domain.IEditingDomainProvider, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.jface.action.IMenuListener, org.eclipse.emf.common.ui.viewer.IViewerProvider, org.eclipse.ui.ide.IGotoMarker

This is an example of a APar model editor.

Nested Class Summary
`class` | `AParEditor.ReverseAdapterFactoryContentProvider`

Field Summary

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`AParEditor()` This creates a model editor.

Method Summary
`void` | `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)` This implements `ISelectionProvider`.
`org.eclipse.emf.common.util.Diagnostic` | `analyzeResourceProblems(org.eclipse.emf.ecore.resource.Resource resource, java.lang.Exception exception)` Returns a diagnostic describing the errors and warnings listed in the resource and the specified exception (if any).
`void` | `createModel()` This is the method called to load a resource into the editing domain's resource set based on the editor's input.
`void` | `createPages()` This is the method used by the framework to install your own controls.
`void` | `dispose()`
`void` | `doSave(org.eclipse.core.runtime.IProgressMonitor progressMonitor)` This is for implementing `IEditorPart` and simply saves the model file.
`void` | `doSaveAs()` This also changes the editor's input.
`org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor` | `getActionBarContributor()`
`org.eclipse.ui.IActionBars` | `getActionBars()`
`java.lang.Object` | `getAdapter(java.lang.Class key)` This is how the framework determines which interfaces we implement.
`org.eclipse.emf.common.notify.AdapterFactory` | `getAdapterFactory()`
`org.eclipse.ui.views.contentoutline.IContentOutlinePage` | `getContentOutlinePage()` This accesses a cached version of the content outliner.
`org.eclipse.emf.edit.domain.EditingDomain` | `getEditingDomain()` This returns the editing domain as required by the `IEditingDomainProvider` interface.
`org.eclipse.ui.views.properties.IPropertySheetPage` | `getPropertySheetPage()` This accesses a cached version of the property sheet.
`org.eclipse.jface.viewers.ISelection` | `getSelection()` This implements `ISelectionProvider` to return this editor's overall selection.
`org.eclipse.jface.viewers.Viewer` | `getViewer()` This returns the viewer as required by the `IViewerProvider` interface.
`void` | `gotoMarker(org.eclipse.core.resources.IMarker marker)`
`void` | `handleContentOutlineSelection(org.eclipse.jface.viewers.ISelection selection)` This deals with how we want selection in the outliner to affect the other views.
`void` | `init(org.eclipse.ui.IEditorSite site, org.eclipse.ui.IEditorInput editorInput)` This is called during startup.
`boolean` | `isDirty()` This is for implementing `IEditorPart` and simply tests the command stack.
`boolean` | `isSaveAsAllowed()` This always returns true because it is not currently supported.
`void` | `menuAboutToShow(org.eclipse.jface.action.IMenuManager menuManager)` This implements `IMenuListener` to help fill the context menus with contributions from the Edit menu.
`void` | `removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)` This implements `ISelectionProvider`.
`void` | `setCurrentViewer(org.eclipse.jface.viewers.Viewer viewer)` This makes sure that one content viewer, either for the current page or the outline view, if it has focus, is the current one.
`void` | `setCurrentViewerPane(org.eclipse.emf.common.ui.ViewerPane viewerPane)`
`void` | `setFocus()`
`void` | `setSelection(org.eclipse.jface.viewers.ISelection selection)` This implements `ISelectionProvider` to set this editor's overall selection.
`void` | `setSelectionToViewer(java.util.Collection<?> collection)` This sets the selection into whichever viewer is active.
`void` | `setStatusLineManager(org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class org.eclipse.ui.part.MultiPageEditorPart
`addPage, addPage, addPage, addPage, addPageChangedListener, createPartControl, findEditors, getActivePage, getSelectedPage, removePage, removePageChangedListener, setActiveEditor`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener`

Constructor Detail

### AParEditor

    public AParEditor()

  This creates a model editor.

Method Detail

### setSelectionToViewer

    public void setSelectionToViewer(java.util.Collection<?> collection)

  This sets the selection into whichever viewer is active.

### getEditingDomain

    public org.eclipse.emf.edit.domain.EditingDomain getEditingDomain()

  This returns the editing domain as required by the `IEditingDomainProvider` interface. This is important for implementing the static methods of `AdapterFactoryEditingDomain` and for supporting `CommandAction`.

  Specified by:
    `getEditingDomain` in interface `org.eclipse.emf.edit.domain.IEditingDomainProvider`

### setCurrentViewerPane

    public void setCurrentViewerPane(org.eclipse.emf.common.ui.ViewerPane viewerPane)

### setCurrentViewer

    public void setCurrentViewer(org.eclipse.jface.viewers.Viewer viewer)

  This makes sure that one content viewer, either for the current page or the outline view, if it has focus, is the current one.

### getViewer

    public org.eclipse.jface.viewers.Viewer getViewer()

  This returns the viewer as required by the `IViewerProvider` interface.

  Specified by:
    `getViewer` in interface `org.eclipse.emf.common.ui.viewer.IViewerProvider`

### createModel

    public void createModel()

  This is the method called to load a resource into the editing domain's resource set based on the editor's input.

### analyzeResourceProblems

    public org.eclipse.emf.common.util.Diagnostic analyzeResourceProblems(org.eclipse.emf.ecore.resource.Resource resource,
                                                                          java.lang.Exception exception)

  Returns a diagnostic describing the errors and warnings listed in the resource and the specified exception (if any).

### createPages

    public void createPages()

  This is the method used by the framework to install your own controls.

  Specified by:
    `createPages` in class `org.eclipse.ui.part.MultiPageEditorPart`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class key)

  This is how the framework determines which interfaces we implement.

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `org.eclipse.ui.part.MultiPageEditorPart`

### getContentOutlinePage

    public org.eclipse.ui.views.contentoutline.IContentOutlinePage getContentOutlinePage()

  This accesses a cached version of the content outliner.

### getPropertySheetPage

    public org.eclipse.ui.views.properties.IPropertySheetPage getPropertySheetPage()

  This accesses a cached version of the property sheet.

### handleContentOutlineSelection

    public void handleContentOutlineSelection(org.eclipse.jface.viewers.ISelection selection)

  This deals with how we want selection in the outliner to affect the other views.

### isDirty

    public boolean isDirty()

  This is for implementing `IEditorPart` and simply tests the command stack.

  Specified by:
    `isDirty` in interface `org.eclipse.ui.ISaveablePart`
  Overrides:
    `isDirty` in class `org.eclipse.ui.part.MultiPageEditorPart`

### doSave

    public void doSave(org.eclipse.core.runtime.IProgressMonitor progressMonitor)

  This is for implementing `IEditorPart` and simply saves the model file.

  Specified by:
    `doSave` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `doSave` in class `org.eclipse.ui.part.EditorPart`

### isSaveAsAllowed

    public boolean isSaveAsAllowed()

  This always returns true because it is not currently supported.

  Specified by:
    `isSaveAsAllowed` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `isSaveAsAllowed` in class `org.eclipse.ui.part.EditorPart`

### doSaveAs

    public void doSaveAs()

  This also changes the editor's input.

  Specified by:
    `doSaveAs` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `doSaveAs` in class `org.eclipse.ui.part.EditorPart`

### gotoMarker

    public void gotoMarker(org.eclipse.core.resources.IMarker marker)

  Specified by:
    `gotoMarker` in interface `org.eclipse.ui.ide.IGotoMarker`

### init

    public void init(org.eclipse.ui.IEditorSite site,
                     org.eclipse.ui.IEditorInput editorInput)

  This is called during startup.

  Specified by:
    `init` in interface `org.eclipse.ui.IEditorPart`
  Overrides:
    `init` in class `org.eclipse.ui.part.MultiPageEditorPart`

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `setFocus` in class `org.eclipse.ui.part.MultiPageEditorPart`

### addSelectionChangedListener

    public void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  This implements `ISelectionProvider`.

  Specified by:
    `addSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### removeSelectionChangedListener

    public void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  This implements `ISelectionProvider`.

  Specified by:
    `removeSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  This implements `ISelectionProvider` to return this editor's overall selection.

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection)

  This implements `ISelectionProvider` to set this editor's overall selection. Calling this result will notify the listeners.

  Specified by:
    `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### setStatusLineManager

    public void setStatusLineManager(org.eclipse.jface.viewers.ISelection selection)

### menuAboutToShow

    public void menuAboutToShow(org.eclipse.jface.action.IMenuManager menuManager)

  This implements `IMenuListener` to help fill the context menus with contributions from the Edit menu.

  Specified by:
    `menuAboutToShow` in interface `org.eclipse.jface.action.IMenuListener`

### getActionBarContributor

    public org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor getActionBarContributor()

### getActionBars

    public org.eclipse.ui.IActionBars getActionBars()

### getAdapterFactory

    public org.eclipse.emf.common.notify.AdapterFactory getAdapterFactory()

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `org.eclipse.ui.part.MultiPageEditorPart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD